gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object An icon factory manages a collection of
- Constructor
  2.12.0.0
  Creates a new .
  Creates a new . An icon factory manages a collection of s; a manages a set of variants of a particular icon (i.e. a GtkIconSet contains variants for different sizes and widget states). Icons in an icon factory are named by a stock ID, which is a simple string identifying the icon. Each has a list of GtkIconFactorys derived from the current theme; those icon factories are consulted first when searching for an icon. If the theme doesn't set a particular icon, GTK+ looks for the icon in a list of default icon factories, maintained by and . Applications with icons should add a default icon factory with their icons, which will allow themes to override the icons for the application.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.12.0.0
  System.Void `` `` The icon's name The icon set Adds the given to the icon factory, under the name . Adds the given to the icon factory, under the name . should be namespaced for your application, e.g. "myapp-name-of-icon". Normally applications create a , then add it to the list of default factories with . They pass the to widgets such as to display the icon. Themes can provide an icon with the same name (such as "myapp-name-of-icon") to override your application's default icons. If an icon already existed in factory for , it is unreferenced and replaced with the new .
- Method
  2.12.0.0
  System.Void Adds an icon factory to the list of icon factories searched by . Adds an icon factory to the list of icon factories searched by . This means that, for example, will be able to find icons in factory. There will normally be an icon factory added for each library or application that comes with icons. The default icon factories can be overridden by themes.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  Gtk.IconSet `` an icon name Looks up a Stock ID in the icon factory. a , or . Looks up in the icon factory, returning an icon set if found, otherwise . For display to the user, you should use on the for the widget that will display the icon, instead of using this function directly, so that themes are taken into account.
- Method
  2.12.0.0
  Gtk.IconSet `` an icon name Looks for an icon in the list of default icon factories. a , or . Looks for an icon in the list of default icon factories. For display to the user, you should use on the for the widget that will display the icon, instead of using this function directly, so that themes are taken into account.
- Method
  2.12.0.0
  System.Void `` `` `` an icon size an integer to store the icon's width an integer to store the icon's height Obtains the pixel size of a semantic icon size
- Method
  2.12.0.0
  System.Void Removes an icon factory from the list of default icon factories. Removes an icon factory from the list of default icon factories. Not normally used; you might use it for a library that can be unloaded or shut down.